#include<iostream>
#include<fstream>
#include<algorithm>
using namespace std;
int main()
{
	ifstream f1("DAYCHUNG.INP");
	ofstream f2("DAYCHUNG.OUT");
	int n,m;
	f1>>n>>m;
	int u[n];
	int v[m];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>u[i];
	}
	for(i=0;i<m;i++)
	{
		f1>>v[i];
	}
	f1.close();
	int d[n];
	for(i=0;i<n;i++)
	{
		d[i]=-1;
	}
	sort(u,u+n);
	sort(v,v+m);
	int dem=0;
	for(i=0;i<n;i++)
	{
		for(int j=0;j<m;j++)
		{
			if(u[i]==v[j])
			{
				d[i]=u[i];
				dem++;
				break;
			}
			if(u[i]<v[j]) break;
		}
	}
	f2<<dem<<endl;
	for(i=0;i<n;i++)
	{
		if(d[i]!=-1) f2<<d[i]<<' '; 
	}
	f2.close();
	return 0;
}
